<template>
    <div class="flex flex-col h-screen">
        <!-- Header -->
        <header class="flex items-center h-14 px-4 border-b border-gray-300 sm:h-16 md:px-6 lg:px-8">
            <div>
                <a class="flex items-center gap-2 font-semibold" href="#">
                    <img alt="Vue logo" class="logo" src="@/assets/logo.svg" width="40" height="40" />
                </a>
            </div>
            <nav class="ml-auto space-x-4 flex items-center h-10 sm:space-x-6">
                <!-- <router-link to="/" active-class="underline font-semibold" > Home </router-link> -->
                <!-- <router-link to="/" exact-active-class="underline font-semibold" > Home </router-link> -->
                <router-link to="/"> Home </router-link>
                <router-link to="/features"> Features </router-link>
                <router-link to="/pricing"> Pricing </router-link>
                <router-link to="/contact"> Contact </router-link>
                <router-link to="/login" class="bg-blue-200 hover:bg-blue-300 cursor-pointer p-2 shadow-md rounded-lg transition-all
                    text-center">
                    Login
                </router-link>
                <router-link to="/register"
                    class="bg-green-200 hover:bg-green-300 cursor-pointer p-2 shadow-md rounded-lg transition-all text-center">
                    Register </router-link>
                <router-link to="/pokemons/1"> Pokémons </router-link>
            </nav>
        </header>
        <!-- Fin Header -->

        <!-- Main -->
        <main class="flex-1 flex items-center justify-center ">
            <router-view v-slot="{ Component }">
                <keep-alive>
                    <component :is="Component" />
                </keep-alive>
            </router-view>

            <!-- <router-view /> -->
        </main>
        <!-- Fin Main -->

        <!-- Footer -->
        <footer class="flex items-center h-14 px-4 border-t border-gray-300 sm:h-16 md:px-6 lg:px-8">
            <p class="flex-1 text-sm text-gray-500 text-center">
                © {{ new Date().getFullYear() }} Acme Corporation. Derechos reservados
            </p>
        </footer>
        <!-- Fin Footer -->
    </div>
</template>

<script lang="ts" setup>

</script>